Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.annotations.attribute
Class AssociationAttribute

    java.lang.Object
      org.hibernate.metamodel.source.annotations.attribute.MappedAttribute
          org.hibernate.metamodel.source.annotations.attribute.AssociationAttribute

All Implemented Interfaces:
  Comparable<MappedAttribute>

    public class AssociationAttribute

extends MappedAttribute

Represents an association attribute.

Method Summary
`static AssociationAttribute` | `createAssociationAttribute(String name, Class<?> attributeType, AttributeNature attributeNature, String accessType, Map<org.jboss.jandex.DotName,List<org.jboss.jandex.AnnotationInstance>> annotations, EntityBindingContext context)`
`AttributeNature` | `getAssociationNature()`
`Set<CascadeType>` | `getCascadeTypes()`
`FetchMode` | `getFetchMode()`
`AttributeTypeResolver` | `getHibernateTypeResolver()`
`String` | `getMappedBy()`
`PropertyGeneration` | `getPropertyGeneration()`
`String` | `getReferencedEntityType()`
`String` | `getReferencedIdAttributeName()`
`boolean` | `isIgnoreNotFound()`
`boolean` | `isInsertable()`
`boolean` | `isLazy()`
`boolean` | `isOptional()`
`boolean` | `isOrphanRemoval()`
`boolean` | `isUpdatable()`
`boolean` | `mapsId()`

Methods inherited from class org.hibernate.metamodel.source.annotations.attribute.MappedAttribute
`annotations, compareTo, getAccessType, getAttributeType, getColumnValues, getContext, getName, isId, isOptimisticLockable, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### createAssociationAttribute

    public static AssociationAttribute createAssociationAttribute(String name,
                                                                  Class<?> attributeType,
                                                                  AttributeNature attributeNature,
                                                                  String accessType,
                                                                  Map<org.jboss.jandex.DotName,List<org.jboss.jandex.AnnotationInstance>> annotations,
                                                                  EntityBindingContext context)

### isIgnoreNotFound

    public boolean isIgnoreNotFound()

### getReferencedEntityType

    public String getReferencedEntityType()

### getMappedBy

    public String getMappedBy()

### getAssociationNature

    public AttributeNature getAssociationNature()

### getCascadeTypes

    public Set<CascadeType> getCascadeTypes()

### isOrphanRemoval

    public boolean isOrphanRemoval()

### getFetchMode

    public FetchMode getFetchMode()

### getReferencedIdAttributeName

    public String getReferencedIdAttributeName()

### mapsId

    public boolean mapsId()

### getHibernateTypeResolver

    public AttributeTypeResolver getHibernateTypeResolver()

  Specified by:
    `getHibernateTypeResolver` in class `MappedAttribute`

### isLazy

    public boolean isLazy()

  Specified by:
    `isLazy` in class `MappedAttribute`

### isOptional

    public boolean isOptional()

  Specified by:
    `isOptional` in class `MappedAttribute`

### isInsertable

    public boolean isInsertable()

  Specified by:
    `isInsertable` in class `MappedAttribute`

### isUpdatable

    public boolean isUpdatable()

  Specified by:
    `isUpdatable` in class `MappedAttribute`

### getPropertyGeneration

    public PropertyGeneration getPropertyGeneration()

  Specified by:
    `getPropertyGeneration` in class `MappedAttribute`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.